﻿.myowncalendar {
    font-size: 100%;
}

    .myowncalendar *:before,
    .myowncalendar *:after {
        box-sizing: border-box;
    }

    .myowncalendar body {
        margin: 0.5em;
    }

    .myowncalendar table {
        border-collapse: collapse;
        border-spacing: 0;
        width: 100%;
        height: 100%;
        min-width: 800px;
    }

    .myowncalendar summary {
        padding-bottom: 0.25em;
        font-size: 1.5em;
        font-weight: 100;
        text-align: right;
    }

    .myowncalendar tr {
        position: relative;
    }

    .myowncalendar th {
        text-align: right;
        color: #999;
        font-weight: normal;
        font-size: 0.85em;
    }

    .myowncalendar td {
        width: 11.11%;
    }

    .myowncalendar .date {
        text-align: right;
        display: block;
        height: 0;
        font-size: 0.8em;
        padding: 0.25em;
        padding-bottom: 73%;
        position: relative;
        border-bottom: 1px solid #dedbdb;
        margin-left: 0.25em;
        margin-right: 0.25em;
    }

    .myowncalendar tr:first-child:not(.current-week) .date {
        border-top: 1px solid #dedbdb;
    }

    .myowncalendar .date ul,
    .myowncalendar .date li {
        margin: 0;
        padding: 0;
        list-style: none;
        color: #333;
    }

    .myowncalendar .date ul {
        text-align: left;
        font-size: 0.9em;
        width: 100%;
        overflow: hidden;
        position: absolute;
        font-weight: normal;
    }

    .myowncalendar .date li {
        color: #222;
        width: 100%;
        height: 1.4em;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
        position: relative;
    }

        .myowncalendar .date li:before {
            content: '\2022';
            color: inherit;
            display: inline-block;
            padding-right: 0.25em;
        }

    .myowncalendar .time {
        float: right;
        text-align: right;
        color: #999;
    }

    .myowncalendar .event {
        color: #333;
    }

    .myowncalendar .current-day {
        background: #fed6d7;
        border-top: 4px solid #cb6c6b;
    }

        .myowncalendar .current-day .date {
            font-weight: bold;
            color: #cb6c6b;
        }
